Subject: bug#54684: 28.0.92; tab-undo doesn't respect numeric tab-bar-show

From: Juri Linkov <[email-masked]>
Date: Sun, 03 Apr 2022 19:52:13 +0300

close 54684 29.0.50
thanks

> (setq tab-bar-show 1)
> (tab-new)
> (tab-close)
> (tab-undo)
>
> The expected result of this sequence of commands is to have two tabs,
> and the tab bar is shown because the number of tabs is higher than the
> value of tab-bar-show. The actual result is that there are two tabs, but
> the tab bar is not shown. (If a third tab is created, the tab bar
> reappears.)

Thanks for showing the valid use case.  This is fixed now in Emacs 29.